﻿$packageName = 'postgresql-9.3' 
$installerType = 'exe' 
$osBitness = Get-ProcessorBits

net stop PostgreSQL

if ($osBitness -eq 64) {
  $key = 'HKLM:\SOFTWARE\PostgreSQL\Installations\postgresql-x64-9.3'
} else {
  $key = 'HKLM:\SOFTWARE\PostgreSQL\Installations\postgresql-9.3'
}

$installdir = (Get-ItemProperty -Path $key -Name "Base Directory")."Base Directory"

if (Test-Path "$installdir\uninstall-postgresql.exe") {
    Write-Host "Found PostgreSQL So Uninstalling"
    Uninstall-ChocolateyPackage $packageName $installerType "--mode unattended" "$installdir\uninstall-postgresql.exe"
}

if (Test-Path $installdir) {
    Remove-Item -Recurse -Force $installdir
}